<div class="recovery__header">
  {{#if isSmallDevice}}
    <div class="header login__header">
      <div class="header__nav">
        <button class="header__button"  {{action 'backAction'}}>
          {{svg-jar "back" class="icon"}}
        </button>
      </div>
      <div class="header__center">
        <h1 class="header__title my-2">
          {{t 'recovery.recuperacion'}}
        </h1>
      </div>
      <div class="header__nav">
        <button class="header__button" {{action 'closeAction'}}>
          {{svg-jar "cross" class="icon"}}
        </button>
      </div>
    </div>
  {{else}}
    <div class="bg-primary">
      {{component-header
        searchAction=(action 'searchByAddress')
      }}
    </div>
  {{/if}}
</div>
<main class="recovery container-fluid bg-primary">
  <div class="recovery__container row justify-content-center align-items-end">
    <div class="col-12 col-sm-10 col-md-7 col-lg-9 pt-4 px-0">
      <form class="" onsubmit="return false;">
        {{#if t}}
          <div class="input">
            <label for="login-email" class="label">
              {{t 'recovery.restablece-pass'}}
            </label>
            {{input id='password' type='password' class="input__input" placeholder=(t 'recovery.escribe-nueva-pass') value=password}}
          </div>
          <div class="input my-3">
            {{input id='passwordConfirmation' type='password' class="input__input" placeholder=(t 'recovery.repetir-pass') value=passwordConfirmation}}
          </div>
          {{#if hasError}}
            <p class="text-danger">
              {{error}}
            </p>
          {{/if}}

          {{#promise-button type="submit" class="button-sample mt-5"
            btnAction=(action 'resetPassword')}}
            {{t 'recovery.restablecer'}}
          {{/promise-button}}

        {{else}}
          <div class="input">
            <label for="recovery-email" class="label">
              {{t 'recovery.introduce-email'}}
            </label>
            {{input id='recovery-email' value=email class='input__input' required=true placeholder=(t 'recovery.escribe-email')}}
          </div>

          {{#if hasError}}
            {{#each errorMessages as |error|}}
              {{error-message title=error.title subtitle=error.detail}}
            {{/each}}
          {{/if}}

          {{#promise-button
            type="submit"
            class="button button--bordered mt-5 promise-button overflow-text"
            btnAction=(action 'recoverPassword')
          }}
            {{t 'recovery.enviar'}}
          {{/promise-button}}

          {{#link-to 'login' class="d-block button-sample mt-5"}}
            {{t 'recovery.login'}}
          {{/link-to}}
        {{/if}}
      </form>
    </div>
  </div>
</main>
